Irrlicht Engine: irr::scene::IParticleRotationAffector Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::IParticleRotationAffector Class Reference

A particle affector which rotates the particle system. More...

`#include <IParticleRotationAffector.h>`

Inheritance diagram for irr::scene::IParticleRotationAffector:

List of all members.

## Public Member Functions
virtual const core::vector3df & | getPivotPoint () const =0
| Get the point that particles are attracted to.
virtual const core::vector3df & | getSpeed () const =0
| Get the speed in degrees per second in all 3 dimensions.
virtual E_PARTICLE_AFFECTOR_TYPE | getType () const
| Get emitter type.
virtual void | setPivotPoint (const core::vector3df &point)=0
| Set the point that particles will rotate around.
virtual void | setSpeed (const core::vector3df &speed)=0
| Set the speed in degrees per second in all 3 dimensions.

## Detailed Description

A particle affector which rotates the particle system.

Definition at line 16 of file IParticleRotationAffector.h.

## Member Function Documentation

virtual const core::vector3df& irr::scene::IParticleRotationAffector::getPivotPoint | ( |  | ) | const`[pure virtual]`

Get the point that particles are attracted to.

virtual const core::vector3df& irr::scene::IParticleRotationAffector::getSpeed | ( |  | ) | const`[pure virtual]`

Get the speed in degrees per second in all 3 dimensions.

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleRotationAffector::getType | ( |  | ) | const`[inline, virtual]`

Get emitter type.

Implements irr::scene::IParticleAffector.

Definition at line 33 of file IParticleRotationAffector.h.

References irr::scene::EPAT_ROTATE.

virtual void irr::scene::IParticleRotationAffector::setPivotPoint | ( | const core::vector3df & | point | ) | `[pure virtual]`

Set the point that particles will rotate around.

virtual void irr::scene::IParticleRotationAffector::setSpeed | ( | const core::vector3df & | speed | ) | `[pure virtual]`

Set the speed in degrees per second in all 3 dimensions.

The documentation for this class was generated from the following file:

- IParticleRotationAffector.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)